IgorZ

[1.7.3] Kerbal Inventory System (KIS) v1.22

Recommended Posts

It happened to me too. I'm using 1.22. I just posted this in the CKAN thread.

 

Share this post


Link to post
Share on other sites
37 minutes ago, TheRagingIrishman said:

@Lucky Spacer are you using KSP 1.2.2 or 1.3? KIS v1.5.0 will only work on 1.3. For KSP 1.2.2 you should use KIS v1.4.4. If you are on KSP 1.2.2, could you please post a link to your full output_log.txt.

Well I upgraded to 1.3 and I still got a crash after I reinstalled kis.  Here is a link to my log. https://drive.google.com/open?id=0ByVw1TqK1JFRYzhPdVhJSktfSWM

thanks for any help.

Share this post


Link to post
Share on other sites
36 minutes ago, Lucky Spacer said:

Well I upgraded to 1.3 and I still got a crash after I reinstalled kis.  Here is a link to my log. https://drive.google.com/open?id=0ByVw1TqK1JFRYzhPdVhJSktfSWM

thanks for any help.

The problem is not KIS now, it's any of the tons of other mods you have that haven't been updated for 1.3.

Share this post


Link to post
Share on other sites

Is it true?

Is it really your fault?

Do I owe CKAN an apology?

 

Share this post


Link to post
Share on other sites
7 minutes ago, Daveroski said:

Is it true?

Is it really your fault?

Do I owe CKAN an apology?

 

The problem is with Curse (doesn't let you use 1.3 as a version tag yet). CKAN's bot saw the release, looked at the tag and assumed it would work in 1.2.2. I submitted a manual fix to the ckan file so once that goes through then all will be well.

Share this post


Link to post
Share on other sites
51 minutes ago, TheRagingIrishman said:

The problem is not KIS now, it's any of the tons of other mods you have that haven't been updated for 1.3.

Well that is probably true. Just a little frustrating that I'm going to have do a roll back or wait the normal several days for the mods to be recompiled/updated to 1.3. Not sure which is going to get me playing the soonest. Only a third of the mods I use are updated yet. Hard to continue my game without them.

Share this post


Link to post
Share on other sites

I just booted up after updating KIS and CCK, and when I loaded my game I got an error that two of my space stations around Duna weren't loaded because of a missing file from KIS. I believe it was the little monoprop tank. I've exited and re-loaded KSP and now it's not even giving me that error so I don't know exactly what it was. It looks like my crew were automatically returned. Is there any way to get my stations back? If the game is going to delete ships/stations/bases over loading conflicts, it needs a better way to handle conflicts because I'm in a less-than-pleased condition right now, especially since another station with 'outdated' parts still loaded fine..

Share this post


Link to post
Share on other sites
4 hours ago, Sluggo said:

I just booted up after updating KIS and CCK, and when I loaded my game I got an error that two of my space stations around Duna weren't loaded because of a missing file from KIS. I believe it was the little monoprop tank. I've exited and re-loaded KSP and now it's not even giving me that error so I don't know exactly what it was. It looks like my crew were automatically returned. Is there any way to get my stations back? If the game is going to delete ships/stations/bases over loading conflicts, it needs a better way to handle conflicts because I'm in a less-than-pleased condition right now, especially since another station with 'outdated' parts still loaded fine..

If you can get the missing part back into your gamedata folder, you can then load your most recent actual save rather than using the persistent file that automatically loads when you open a savegame.  Each time you exit the game, the persistent save updates, so when you exited after having the station get deleted, that became the new go-to file.

Share this post


Link to post
Share on other sites
1 hour ago, Krakatoa said:

If you can get the missing part back into your gamedata folder, you can then load your most recent actual save rather than using the persistent file that automatically loads when you open a savegame.  Each time you exit the game, the persistent save updates, so when you exited after having the station get deleted, that became the new go-to file.

I've been able to figure out that this is a part from the Planetary Base System that holds inventory parts for KIS. I'll attack it from that angle.

Edited by Sluggo
Update

Share this post


Link to post
Share on other sites
1 hour ago, Sluggo said:

I've been able to figure out that this is a part from the Planetary Base System that holds inventory parts for KIS. I'll attack it from that angle.

If it helps, the main thing (I think) is to just put the actual files for the part back in, even if temporarily so you can get them out of the inventory from the quicksave where everything was alive, then the craft should be safe going forwards.  Grabbing the piece that's different from the previous release may work.

Edited by Krakatoa
words making sense

Share this post


Link to post
Share on other sites
Just now, Krakatoa said:

If it helps, the main thing (I think) is to just put the actual files for the part back in, even if temporarily so you can get them out of the inventory, then the craft should be safe if you load that previous quick save where everything was still alive.  Grabbing the piece that's different from the previous release may work.

Good idea, unfortunately the problem part is the container itself.

Share this post


Link to post
Share on other sites

I'm still having the issue KIS isn't working I'm running ksp 1.2._ but CKAN is downloading the KIS for ksp 1.3 so its crashing and I don't want to update ksp yet because I'm running a server. So I would assume that I download the 1.2 version? And where is it?

Share this post


Link to post
Share on other sites
29 minutes ago, Devan kerman said:

I'm still having the issue KIS isn't working I'm running ksp 1.2._ but CKAN is downloading the KIS for ksp 1.3 so its crashing and I don't want to update ksp yet because I'm running a server. So I would assume that I download the 1.2 version? And where is it?

I don't use CKAN, so I don't know how to disable updates, but if you can do that, you can then go to Curseforge and download a previous version.

Share this post


Link to post
Share on other sites

ok, so i read through the last few posts and want to make sure i understand this right... atm ckan is applying the 1.3 version of KIS to the 1.2 installs instead of using a 1.2 compatible version and if i want to reinstall a 1.2 compatible version i need to go to curse until it gets figured out?

Share this post


Link to post
Share on other sites
11 minutes ago, argentrolf said:

ok, so i read through the last few posts and want to make sure i understand this right... atm ckan is applying the 1.3 version of KIS to the 1.2 installs instead of using a 1.2 compatible version and if i want to reinstall a 1.2 compatible version i need to go to curse until it gets figured out?

Yes.

Share this post


Link to post
Share on other sites
3 minutes ago, Nergal8617 said:

Yes.

cool... ty. maybe that explains issues im having with a few other mods too...

but then again it probably doesnt help that MM is creating 20k+ patches to ksp...

Edited by argentrolf

Share this post


Link to post
Share on other sites

So, @IgorZ, @KospY, and @winn75... Thanks for getting the versioning fixed.

for everyone else, its fixed. I just used CKAN to install right now, the version is right and no CTD

 

BTW, i am using 1.2, should have mentioned that before i had to edit...

Edited by argentrolf
forgot a bit of info

Share this post


Link to post
Share on other sites

 

On 5/27/2017 at 4:28 AM, Friedrich Nietzsche said:

Ckan supports the feature. But the mod developer has to take care of the versioning because only he can know, which version of his mod works with what version of ksp.

 

On 5/27/2017 at 8:11 AM, Lewis Douglas said:

Very good point my friend :P since I can confirm the same crash of KSP using this latest KIS version stating it is compatible with KSP v1.2.2.

I like all supporters of CKAN to stand up and spread the word to all cool modders. Allthough we like their very cool mods, we are a bit confused when incompatible newer mods load using CKAN while this pretty great tool is made specially for versioning and to make our complicated modding lives easy :wink: . 

So please please please great modders who I adore, can you please see into the CKAN versioning of your mod(s) so that we dumb users are able to click a mod on and off like a brainless bambi?

Lots of thanks in advance.

KIS properly specifies what is the minimum compatible KSP version. Moreover, CKAN properly extracts this information and stores it in the META:

    "version": "1.5.0",
    "ksp_version_min": "1.3.0",
    "ksp_version_max": "1.3.99",

If CKAN client installs KIS 1.5 over a KSP 1.2.2 game, then it's a bug of the client.

On 5/27/2017 at 8:46 AM, Lucky Spacer said:

I love this mod and I use Ckan to keep it uptodate. Loaded the 1.5 version today and had my first Ksp Crash in years.  I unapplied the KIS mod and I got a clean startup. I reapplied the mod and got the same crash so I think it is KIS causing the issue.

Here is a snipet of the error log. All the crashes had the same .dll causing the access violation.  If you need more information I will gladly provide it.

Unity Player [version: Unity 5.4.0p4_b15b5ae035b7]

mono.dll caused an Access Violation (0xc0000005)
  in module mono.dll at 0033:dd610e6a.

Error occurred at 2017-05-27_083430.
E:\Program Files (x86)\Steam\SteamApps\common\Kerbal Space Program\KSP_x64.exe, run by Troy.
24% memory in use.
24530 MB physical memory [18586 MB free].
28114 MB paging file [21692 MB free].
134217728 MB user address space [134215770 MB free].
Read from location 00000010 caused an access violation.

What is the version of the game? KIS 1.5 is intended for KSP 1.3 only. If it crashes on the old version of the game, then the only solution is downgrading the mod.

Share this post


Link to post
Share on other sites

As for the issue with KIS 1.5 being installed over KSP 1.2.2, it's now fixed.

I'm really sad to hear how many people were affected by this issue. I just hope that everybody had enough save files to recover the state. We, the modders, always do our best to keep the stuff running smoothly, but bugs happen.

On 5/27/2017 at 11:02 AM, TheRagingIrishman said:

The problem is with Curse (doesn't let you use 1.3 as a version tag yet). CKAN's bot saw the release, looked at the tag and assumed it would work in 1.2.2. I submitted a manual fix to the ckan file so once that goes through then all will be well.

You're right about Curse: till now the maximum available version for KSP is 1.2.2. I'll update the releases as soon as they add a new version. However, the CKAN bot doesn't use this version info, the problem was internal to CKAN

Edited by IgorZ

Share this post


Link to post
Share on other sites
On 5/27/2017 at 4:43 AM, RichardD said:

Hi IgorZ,

 

I did as you said (screwdriver, grab from inventory, point to vessel part, press X...). Nothing happens...

Please help.

Here is the video: 

 

 

Could you please repeat the same actions and share the `KSP.log` file (located in the game's root). There is no need to record another video, I need the logs only. Basing on what I see and the information you've provided, I can state the following:

  1. KIS is indeed working.
  2. The "left mouse click" event is not registered in the video.

For more investigations I need the log. Also, could you, please, specify what PC do you use? Is it a laptop or a desktop? Is it Windows, Linux, or MacOS?

And just to double check. When you've held "H" and pointed the mouse over a cPort part, did you click the left mouse button?

Share this post


Link to post
Share on other sites

Hi guys,

I'm having an issue with KIS.

When I'm going in EVA i cannot acces my inventory by right-clicking on my kerbals or by pressing TAB. I also cannot acces the inventory of my containers while I'm in EVA. But when I'm in control of my spacecraft I can access the inventory. 

Here are some precisions: I only tried in career mode and landed at the launching pad. I just upgraded KSP to 1.3 and the mods using CKAN but I had the same issue before doing the upgrade, I hoped it would resolved it...

Here are the mods I installed: 

Spoiler

fe21c5b90e5845ed8ff1e019e0a446aa.png

Thanks for your help and work!

Share this post


Link to post
Share on other sites
5 hours ago, closeToMun said:

Hi guys,

I'm having an issue with KIS.

When I'm going in EVA i cannot acces my inventory by right-clicking on my kerbals or by pressing TAB. I also cannot acces the inventory of my containers while I'm in EVA. But when I'm in control of my spacecraft I can access the inventory. 

Here are some precisions: I only tried in career mode and landed at the launching pad. I just upgraded KSP to 1.3 and the mods using CKAN but I had the same issue before doing the upgrade, I hoped it would resolved it...

Here are the mods I installed: 

  Reveal hidden contents

fe21c5b90e5845ed8ff1e019e0a446aa.png

Thanks for your help and work!

Such kind of issues usually happen when there is a mods conflict. Please, provide your "KSP.log" file (it's located in the game's root folder). And when you'll be doing it, please, also check if you have ModuleManager 2.8.0 installed, and there are no other version of this mode is present.

Share this post


Link to post
Share on other sites
13 hours ago, IgorZ said:

Such kind of issues usually happen when there is a mods conflict. Please, provide your "KSP.log" file (it's located in the game's root folder). And when you'll be doing it, please, also check if you have ModuleManager 2.8.0 installed, and there are no other version of this mode is present.

Turned out I was using ModuleManager 2.6, I upgraded to 2.8 and it seems to work fine.

Thank You for the help,

Great work!

Share this post


Link to post
Share on other sites

Hi everyone, 

We have created a patch to translate Kerbal Inventory System (KIS) in french.

This is not a mod, juste a patch, so the original mod si required (https://spacedock.info/mod/1157/KISFrenchTranslationPatch

It is made in a way that if you want to translate this patch in an other language, you will only need to change the french by your own language.

Thank you and fly safe! :) 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.